/**
 * @desc  任务配置-任务规则
 * @author linyuanjie
 * @date 2022/8/16
 */

import request from '@/router/axios'

export function getEnterpriseLimit(deptId) {
  return request({
    url: `/admin/task/submission/rule?deptId=${deptId}`,
    method: 'get'
  })
}

export function saveEnterpriseLimit(data) {
  return request({
    url: '/admin/task/submission/rule',
    method: 'put',
    data
  })
}


export function listTaskType(deptId) {
  return request({
    url: `/admin/task/submission/rule/list-task-type?deptId=${deptId}`,
    method: 'get'
  })
}
export function updateTaskType(data) {
  return request({
    url: '/admin/task/submission/rule/update-task-type',
    method: 'post',
    data
  })
}
